Rensei docs
API ReferenceCollections

Create a typed collection as an org admin

Create a typed collection as an org admin - Rensei REST API operation reference.

POST
/api/collections

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body
projectId*string
Length1 <= length <= 128
name*string
Match^[a-z][a-z0-9_-]{0,63}$
keyField*string
Length1 <= length <= 128
schema*
retentionClass*string
Value in"public""internal""confidential""restricted"
agentWrite*string
Value in"none""append""write"
indexEmbed?array<>
Itemsitems <= 32

Response Body

Success

application/json
  1. response
indexEmbed*array<string>|null
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
orgId*string
projectId*string
name*string
keyField*string
retentionClass*string
agentWrite*string
Value in"none""append""write"
schemaVersion*integer
Range-9007199254740991 <= value <= 9007199254740991
createdAt*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
schema?
Example Request
curl -X POST 'https://app.rensei.ai/api/collections' \  -H 'Content-Type: application/json' \  -d '{  "projectId": "string",  "name": "string",  "keyField": "string",  "schema": {    "property1": "string",    "property2": "string"  },  "retentionClass": "public",  "agentWrite": "none"}'
Example Response
{  "indexEmbed": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "orgId": "string",  "projectId": "string",  "name": "string",  "keyField": "string",  "retentionClass": "string",  "agentWrite": "none",  "schemaVersion": -9007199254740991,  "createdAt": "2019-08-24T14:15:22Z",  "schema": {    "property1": "string",    "property2": "string"  }}